// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UVisual.h"
#include "Components/Visual.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UVisual::SCW_UVisual(UVisual* InVisual) : SCW_UObject(InVisual), Visual(InVisual)
{

}

UVisual* SCW_UVisual::ToUVisual() const
{
	return Visual;
}
